Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BankAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.BankAccount

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class BankAccount
    extends IdTitle

Замена для bitel.billing.server.bill.bean.Account. Пока два класса, для 6.2-7.0.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BankAccount()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAccount()` |
  `java.lang.String` | `getBankIdentificationCode()` |
  `java.lang.String` | `getBankTitle()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getCorrespondentAccount()` |
  `long` | `getGroupMask()` |
  `int` | `getOrganizationId()` |
  `java.lang.String` | `getPaymentType()` |
  `int` | `getPaymentTypeId()` |
  `boolean` | `isDefaultAccount()` |
  `boolean` | `isInUse()` |
  `void` | `setAccount​(java.lang.String account)` |
  `void` | `setBankIdentificationCode​(java.lang.String bik)` |
  `void` | `setBankTitle​(java.lang.String bankTitle)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setCorrespondentAccount​(java.lang.String correspondentAccount)` |
  `void` | `setDefaultAccount​(boolean defaultAccount)` |
  `void` | `setGroupMask​(long groupMask)` |
  `void` | `setInUse​(boolean inUse)` |
  `void` | `setOrganizationId​(int organizationId)` |
  `void` | `setPaymentType​(java.lang.String paymentType)` |
  `void` | `setPaymentTypeId​(int pid)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BankAccount

    public BankAccount()

- ## Method Details

  - ### getOrganizationId

    public int getOrganizationId()

  - ### setOrganizationId

    public void setOrganizationId​(int organizationId)

  - ### getBankTitle

    public java.lang.String getBankTitle()

  - ### setBankTitle

    public void setBankTitle​(java.lang.String bankTitle)

  - ### getAccount

    public java.lang.String getAccount()

  - ### setAccount

    public void setAccount​(java.lang.String account)

  - ### getBankIdentificationCode

    public java.lang.String getBankIdentificationCode()

  - ### setBankIdentificationCode

    public void setBankIdentificationCode​(java.lang.String bik)

  - ### getCorrespondentAccount

    public java.lang.String getCorrespondentAccount()

  - ### setCorrespondentAccount

    public void setCorrespondentAccount​(java.lang.String correspondentAccount)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public void setPaymentTypeId​(int pid)

  - ### getPaymentType

    public java.lang.String getPaymentType()

  - ### setPaymentType

    public void setPaymentType​(java.lang.String paymentType)

  - ### getGroupMask

    public long getGroupMask()

  - ### setGroupMask

    public void setGroupMask​(long groupMask)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### isDefaultAccount

    public boolean isDefaultAccount()

  - ### setDefaultAccount

    public void setDefaultAccount​(boolean defaultAccount)

  - ### isInUse

    public boolean isInUse()

  - ### setInUse

    public void setInUse​(boolean inUse)